Patchwork [2/2] lttng-tools: remove bogus comment

login
register
mail settings
Submitter Thomas Petazzoni
Date July 3, 2013, 10:04 p.m.
Message ID <1372889089-3139-2-git-send-email-thomas.petazzoni@free-electrons.com>
Download mbox | patch
Permalink /patch/256765/
State Accepted
Commit 7f5177d3fdb2a3401c390e7ad69db373a5823c37
Headers show

Comments

Thomas Petazzoni - July 3, 2013, 10:04 p.m.
lttng-tools doesn't require bison or flex, it contains pre-generated
versions of the lexer and parser, so it can build perfectly fine
without bison and flex. We have removed both of these tools from our
mandatory dependencies since a bit of time, the Free Electrons
autobuilders don't have them installed, and the build succeeds.

Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
---
 package/lttng-tools/lttng-tools.mk | 3 ---
 1 file changed, 3 deletions(-)

Patch

diff --git a/package/lttng-tools/lttng-tools.mk b/package/lttng-tools/lttng-tools.mk
index d48bc0a..0eb5fdc 100644
--- a/package/lttng-tools/lttng-tools.mk
+++ b/package/lttng-tools/lttng-tools.mk
@@ -15,9 +15,6 @@  LTTNG_TOOLS_LICENSE_FILES = LICENSE
 # dependency. However, having the babeltrace utilities built for the
 # host is very useful, since those tools allow to convert the binary
 # trace format into an human readable format.
-# Since the 2.1.0 release, lttng-tools depends on flex and bison,
-# but they are not added to the dependency list since they are
-# already Buildroot dependencies.
 LTTNG_TOOLS_DEPENDENCIES = liburcu popt host-lttng-babeltrace util-linux
 
 LTTNG_AUTORECONF = YES